import dht # Importem llibreria
import machine # Importem llibreria
from time import sleep_ms # Importem funcio de llibreria

file = open ("OratgeDades.txt", "w") # Obrim el fitxer

for x in range(1, 10): # Cicle de 9x10s= 90s
    d = dht.DHT22(machine.Pin(19)) # Definim objecte DHT22 i GPIO
    d.measure() # Fem la mesura
    # A sota donem format a les mesures i les ordennen per a cada fila
    txt = "{}; {} ; {}\n".format(x, d.temperature(), d.humidity())
    print(txt, end="") # Imprimim cada fila en pantalla
    file.write(txt)   # Escrivim cada fila al fitxer
    sleep_ms(10000)   # Esperem 10 s  
file.close()   # Tanquem el fitxer al final dels 90s

